
QGIS Application - Bug report #7465

setting value map in edit widget makes tha attributes table empty.

2013-03-28 07:21 AM - Salvatore Larosa

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16420

Description

Subject says it all !

Steps to reproduce (with the attached sample):

1) open the layer properties dialog and select the Fields tab;

2) change Line Edit to Value Map for the GZ_STR_TY field of the T010108_TY table;

3) in "load values from layer" dialog set the layer to TP_01_COD_GZ_STR_TY, "Value"= CODICE and "Description"=DESCRIZION;

the attributes table of the T010108_TY is blank !

Sample data: https://www.dropbox.com/sh/fuvwfw3l8r0tgh1/Zzzn8wl3pt

History

#1 - 2013-03-28 07:32 AM - Giovanni Manghi

- Status changed from Open to Feedback

see #7452. duplicate?

#2 - 2013-05-13 02:29 AM - Matthias Kuhn

Works here with your sample data. This has most likely been solved meanwhile.

Please reopen if the problem still exists.

#3 - 2013-05-13 02:29 AM - Matthias Kuhn

- Status changed from Feedback to Closed
